#############################################
#### This Makefile builds of d2Bdm ####
#############################################

CC=gcc
CFLAGS=-c -Wall -ggdb -g -O0 -I ../include -I ../../discovery_service/include -I ../../libBridgeCommon/inc

LDFLAGS=-L../../libBridgeCommon/src
LIBS=-lm -lpthread -lrt -lzmq -lBridgeCommon
SOURCES=wcdSim.c wcdSimUtils.c

OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=wcdSim
DEPS=

all: $(SOURCES) $(EXECUTABLE)
	rm -f *.o *~

$(EXECUTABLE): $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) -o $@ $(LIBS)

.c.o:  $(DEPS)
	$(CC) $(CFLAGS) $< -o $@


clean:
	rm -f *.o *.*~ $(EXECUTABLE) *~ 
